{+---------------------------------------+}
{|                                       |}
{|         Bugsy Wabbit's Header         |}
{|           Additional file             |}
{|              Freeware                 |}
{|         by Eugene Mayevski            |}
{|                                       |}
{|     http://www.ig.com.ua/wabbit       |}
{|       Eugene-Mayevski@usa.net         |}
{+---------------------------------------+}

unit frmSectEdit;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  Dialogs, BWHeader, StdCtrls, ExtCtrls;

type
  TSectEdit = class(TForm)
    Label1: TLabel;
    TextEB: TEdit;
    StyleRG: TRadioGroup;
    VisCB: TCheckBox;
    WidthEB: TEdit;
    Label2: TLabel;
    ClickCB: TCheckBox;
    AlignRG: TRadioGroup;
    Label3: TLabel;
    MinWidthEB: TEdit;
    Label4: TLabel;
    MaxWidthEB: TEdit;
    SortRG: TRadioGroup;
    OkBtn: TButton;
    CancelBtn: TButton;
  private
    { Private declarations }
  public
    { Public declarations }
    Item : TBWHeaderSection;
    procedure SetData;
    procedure GetData;
  end;

var
  SectEdit: TSectEdit;

implementation

{$R *.DFM}

procedure TSectEdit.SetData;
var s:string;
begin
  TextEB.Text:=Item.Text;
  str(Item.Width,s);
  WidthEB.Text:=s;
  str(Item.MinWidth,s);
  MinWidthEB.Text:=s;
  str(Item.MaxWidth,s);
  MaxWidthEB.Text:=s;
  case Item.Alignment of    //
    hsaLeft:   AlignRG.ItemIndex:=0;
    hsaCenter: AlignRG.ItemIndex:=1;
    hsaRight:  AlignRG.ItemIndex:=2;
  end;    // case
  case Item.SortMode of    //
    hsmNone: SortRG.ItemIndex:=0;
    hsmAscend: SortRG.ItemIndex:=1;
    hsmDescend: SortRG.ItemIndex:=2;
  end;    // case
  case Item.Style of    //
    bwhsText: StyleRG.ItemIndex:=0;
    bwhsOwnerDraw: StyleRG.ItemIndex:=1;
  end;    // case
  VisCB.Checked:=Item.Visible;
  ClickCB.Checked:=Item.AllowClick;
end;

procedure TSectEdit.GetData;
var i,c:integer;
    s:string;
begin
  Item.Text:=TextEB.Text;
  s:=WidthEB.Text;
  val(s,i,c);
  if c=0 then Item.Width:=i;
  s:=MinWidthEB.Text;
  val(s,i,c);
  if c=0 then Item.MinWidth:=i;
  s:=MaxWidthEB.Text;
  val(s,i,c);
  if c=0 then Item.MaxWidth:=i;
  case AlignRG.ItemIndex of    //
    0: Item.Alignment:=hsaLeft;
    1: Item.Alignment:=hsaCenter;
    2:  Item.Alignment:=hsaRight;
  end;    // case
  case SortRG.ItemIndex of    //
    0: Item.SortMode:=hsmNone;
    1: Item.SortMode:=hsmAscend;
    2: Item.SortMode:=hsmDescend;
  end;    // case
  case StyleRG.ItemIndex of    //
    0: Item.Style:=bwhsText;
    1: Item.Style:=bwhsOwnerDraw;
  end;    // case
  Item.Visible:=VisCB.Checked;
  Item.AllowClick:=ClickCB.Checked;
end;

end.
